HP/Compaq mini Sky2 Ethernet not working if booting from battery

Bug #297263 reported by GarrettN
60
This bug affects 6 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Won't Fix
Undecided
Unassigned

Bug Description

This is a similar bug to #189982 Marvell 88E8040 nic doesn't work with sky2 driver, which was "fixed." The same issues has come up again in the kernel 2.6.27-7-generic. I don't see any error messages. lspci -vnnnn reports my Marvell Technology Group Ltd. 88E8040 PCI-E Fast Ethernet Controller using driver sky2. However, eth0 recieves no ip address. sudo ifdown eth0 responds ifdown: interface eth0 not configured and sudo ifup eth0 responds with Ignoring unknown interface eth0=eth0. Please let me know if I can provide any additional information. It also looks like someone posted this issue in Bug #138611, but the original issue was not for the new kernel. https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.22/+bug/138611/comments/45

Revision history for this message
Andreas Ermler (aermler) wrote :

I've got the exact same problem. Same network card, same driver, same messages.

Revision history for this message
Andreas Ermler (aermler) wrote :

I tried Jaunty/9.04 (daily build Kubuntu-LiveCD 20090225.3) and the problem still/also exists there.

Revision history for this message
Mackenzie Morgan (maco.m) wrote :

What's in your /etc/udev/rules.d/70-persistent-net.rules ?

Revision history for this message
Andreas Ermler (aermler) wrote :

This is in my 70-persistent-net.rules:
# PCI device 0x11ab:0x4354 (sky2)
SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*", ATTR{address}=="00:13:77:b1:64:9d", ATTR{type}=="1", KERNEL=="eth*", NAME="eth0"

# PCI device 0x168c:0x001c (ath5k_pci)
SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*", ATTR{address}=="00:21:63:85:e9:e2", ATTR{type}=="1", KERNEL=="wlan*",NAME="wlan0"

Revision history for this message
Mackenzie Morgan (maco.m) wrote :

So udev's setting up eth0 correctly then.

Can you try:
sudo modprobe -r sky2
sudo modprobe sky2
sudo ifup sky2

And attach the dmesg from that?

Revision history for this message
Andreas Ermler (aermler) wrote :

Okay, this is the dmesg output:

[ 326.656102] sky2 eth0: disabling interface
[ 326.662330] sky2 0000:03:00.0: PCI INT A disabled
[ 331.121996] sky2 driver version 1.22
[ 331.122127] sky2 0000:03:00.0: PCI INT A -> GSI 18 (level, low) -> IRQ 18
[ 331.122193] sky2 0000:03:00.0: setting latency timer to 64
[ 331.122377] sky2 0000:03:00.0: Yukon-2 FE+ chip revision 0
[ 331.123079] sky2 0000:03:00.0: irq 2301 for MSI/MSI-X
[ 331.126061] sky2 eth0: addr 00:13:77:b1:64:9d
[ 335.597379] sky2 eth0: enabling interface
[ 335.598460] ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 337.449629] sky2 eth0: Link is up at 100 Mbps, full duplex, flow control both
[ 337.449997] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready

Revision history for this message
Stefan Müller (smu-blackbox) wrote :

I think I am dealing with some related problem on my Compaq Mini 700. The ethernet will never work when booting the first time when the system runs on battery power. It works fine when the power cable plugged in or after a reboot in battery mode. However, the system crashes immediatly when the wire is removed and the system runs in battery mode. Currently I am running version kernel 2.6.27-7-generic. Newer kernel does not resolve this issue.

Let me know what further information may be required.

Thanks

Revision history for this message
Oscar Morante (spacepluk) wrote :

I get the same behavior on my HP mini 1000 which is the same as the Compaq AFAIK. I've also tried the kernels from Debian testing (2.6.26) and Debian unstable (2.6.28) with the same results.

Revision history for this message
opensat (satanandadyumani) wrote :

for Hp mini 1000, the ethernet problem on battery is due to the fact that pcie hotplug is not being correctly handled. Add acpi_os_name=Linux to your kernel commandline in grub.conf. That should solve the problem.

Revision history for this message
Stefan Müller (smu-blackbox) wrote :

@opensat: Your trick works fine. Thank you very much!

Revision history for this message
Stefan Müller (smu-blackbox) wrote :

Some more comment for those unfamilar with Linux but stumbling here from an internet search: I added the line above in the file: /boot/grub/menu.lst My entry now looks like this:

title Ubuntu 8.10, kernel 2.6.27-7-generic
uuid ...
kernel /boot/vmlinuz-2.6.27-7-generic <other options> acpi_os_name=Linux
initrd /boot/initrd.img-2.6.27-7-generic
quiet

Revision history for this message
Alex Muntada (alex.muntada) wrote :

This issue is still present on latest karmic kernel (2.6.30-8-generic).

Changed in ubuntu:
status: Incomplete → New
affects: ubuntu → linux (Ubuntu)
summary: - Sky2 Ethernet Driver Not Working in 8.10
+ HP/Compaq mini Sky2 Ethernet not working if booting from battery
Revision history for this message
Finog (finog) wrote :

I just installed the newest release of Ubuntu 9.04 UNR on the HP Mini 1000, Model #1030NR and I seem to be having this issue as well.

Revision history for this message
Finog (finog) wrote :

Apologies for double-post, this site (http://forums.mininoteuser.com/linux/ethernet-oddness-t762.html) also notes the issue.
Issue can be resolved by rebooting with ethernet plugged in.
For my distribution/system the eth0 interface did not, initially, appear at all.

Revision history for this message
Taylor (monkeybikerboy1400) wrote :

I have a Hp Mini 110 Model 110-1000 running 9.04 desktop I am having the same problem as Finog. I am new to this.

Thank You

Revision history for this message
Taylor (monkeybikerboy1400) wrote :

Finog

I saw the link you have put in and was wondering if you could explain how to change the kernel to fix this problem? This is if you are ok with that. If you don't no hard feelings.

Thank You Kindly

Taylor

Revision history for this message
Alex Muntada (alex.muntada) wrote :

@Taylor, Stefan Müller explained the details on comment 11 above.

However, I think the best way to add this option to grub would be the "# defoptions" line. It usually reads:

# defoptions=quiet splash

So you just need to add the boot option suggested, like this:

# defoptions=quiet splash acpi_os_name=Linux

And then update grub setup:

sudo update-grub

Revision history for this message
Taylor (monkeybikerboy1400) wrote :

Alex so you to fix this problem i just need to type in these commands that you listed. Or do i have to go into the kernel? If so how do you do this. Sorry for my newness.

Thank You Kindly
Taylor

Revision history for this message
Alex Muntada (alex.muntada) wrote :

Adding "acpi_os_name=Linux" solves the problem.

Changed in linux (Ubuntu):
status: New → Confirmed
Revision history for this message
Mackenzie Morgan (maco.m) wrote : Re: [Bug 297263] Re: HP/Compaq mini Sky2 Ethernet not working if booting from battery

You need to edit /boot/grub/menu.list, so on GNOME
gksudo gedit /boot/grub/menu.list
or on KDE
kdesu kate /boot/grub/menu.list

Then you'll find the lines he's talking about

Revision history for this message
Alex Muntada (alex.muntada) wrote :

FWIW, I found that HP MIE uses "acpi_os_name=Symphony" instead of Linux. I'm not sure if it makes a difference, using Linux just works fine.

Revision history for this message
Alex Muntada (alex.muntada) wrote :

@Taylor first you need to edit /boot/grub/menu.lst text file as root, so run this on a terminal:

gksudo gedit /boot/grub/menu.lst

Then change the line starting with "# defoptions" as I explained above. Save the file and run this from a terminal:

sudo update-grub

Finally, reboot and the ethernet should work on batteries on first boot.

Revision history for this message
Taylor (monkeybikerboy1400) wrote :

Thank You very much for walking me throw this problem. I will check to see if it works when i get home.

Thank You Kindly
Taylor

Revision history for this message
Taylor (monkeybikerboy1400) wrote :

Alex i followed your instructions but my Ethernet port is still not working.

Thank You

Taylor

Revision history for this message
Kim Alvefur (zash) wrote :

I had this problem on a Compaq Mini 730eo, which according to https://wiki.ubuntu.com/HardwareSupport/Machines/Netbooks#Compaq%20Mini%20730EO is supposed to work perfectly.

adding acpi_os_name=Linux works for me.

Revision history for this message
Taylor (monkeybikerboy1400) wrote :

Can you give me the list of the commands to achieve this?

Thank You

On Tue, Jul 21, 2009 at 1:40 PM, Zash <email address hidden> wrote:

> I had this problem on a Compaq Mini 730eo, which according to
>
> https://wiki.ubuntu.com/HardwareSupport/Machines/Netbooks#Compaq%20Mini%20730EO
> is supposed to work perfectly.
>
> adding acpi_os_name=Linux works for me.
>
> --
> HP/Compaq mini Sky2 Ethernet not working if booting from battery
> https://bugs.launchpad.net/bugs/297263
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Confirmed
>
> Bug description:
> This is a similar bug to #189982 Marvell 88E8040 nic doesn't work with sky2
> driver, which was "fixed." The same issues has come up again in the kernel
> 2.6.27-7-generic. I don't see any error messages. lspci -vnnnn reports my
> Marvell Technology Group Ltd. 88E8040 PCI-E Fast Ethernet Controller using
> driver sky2. However, eth0 recieves no ip address. sudo ifdown eth0
> responds ifdown: interface eth0 not configured and sudo ifup eth0 responds
> with Ignoring unknown interface eth0=eth0. Please let me know if I can
> provide any additional information. It also looks like someone posted this
> issue in Bug #138611, but the original issue was not for the new kernel.
> https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.22/+bug/138611/comments/45
>

Revision history for this message
Kim Alvefur (zash) wrote : Re: [Bug 297263] Re: HP/Compaq mini Sky2 Ethernet not working if booting from battery

On Wed, 2009-07-22 at 00:05 +0000, Taylor wrote:
> Can you give me the list of the commands to achieve this?

Same Alex Muntada and Mackenzie Morgan wrote earlier.
--
Kim Alvefur <email address hidden>

Revision history for this message
Taylor (monkeybikerboy1400) wrote : Re: [Bug 297263] Re: HP/Compaq mini Sky2 Ethernet not working if booting from battery

I re-entered the command it works thank you

On Tue, Jul 21, 2009 at 8:29 PM, Zash <email address hidden> wrote:

> On Wed, 2009-07-22 at 00:05 +0000, Taylor wrote:
> > Can you give me the list of the commands to achieve this?
>
> Same Alex Muntada and Mackenzie Morgan wrote earlier.
> --
> Kim Alvefur <email address hidden>
>
> --
> HP/Compaq mini Sky2 Ethernet not working if booting from battery
> https://bugs.launchpad.net/bugs/297263
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Confirmed
>
> Bug description:
> This is a similar bug to #189982 Marvell 88E8040 nic doesn't work with sky2
> driver, which was "fixed." The same issues has come up again in the kernel
> 2.6.27-7-generic. I don't see any error messages. lspci -vnnnn reports my
> Marvell Technology Group Ltd. 88E8040 PCI-E Fast Ethernet Controller using
> driver sky2. However, eth0 recieves no ip address. sudo ifdown eth0
> responds ifdown: interface eth0 not configured and sudo ifup eth0 responds
> with Ignoring unknown interface eth0=eth0. Please let me know if I can
> provide any additional information. It also looks like someone posted this
> issue in Bug #138611, but the original issue was not for the new kernel.
> https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.22/+bug/138611/comments/45
>

Revision history for this message
Ben McCann (ben-mccann) wrote :

I am also seeing this bug on Karmic alpha-6 running on an HP 2140 mininote. If I boot from battery then the sky2 driver reports "PCI configuration read error" and fails to install. (I.e. no 'eth0' device). If I boot while plugged in then eth0 comes up successfully.

However, the 'acpi_os_name=Linux' work-around isn't working. For reasons, possibly unrelated to this specific bug, when I boot from battery the Marvell chip is not detected and is missing from 'lspci'. I also saw the missing device problem before using 'acpi_os_name' so I don't think that's the culprit.

Revision history for this message
Brownout (brownout) wrote :

For those using an HP 2140, upgrading the BIOS firmware should solve the problem (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/338707/comments/5).

Revision history for this message
Taylor (monkeybikerboy1400) wrote :

What about Hp Mini 110 is there any thing i can do?

On Mon, Sep 7, 2009 at 8:36 AM, Brownout
<<email address hidden><brovvnout%<email address hidden>>
> wrote:

> For those using an HP 2140, upgrading the BIOS firmware should solve the
> problem
> (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/338707/comments/5).
>
> --
> HP/Compaq mini Sky2 Ethernet not working if booting from battery
> https://bugs.launchpad.net/bugs/297263
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Confirmed
>
> Bug description:
> This is a similar bug to #189982 Marvell 88E8040 nic doesn't work with sky2
> driver, which was "fixed." The same issues has come up again in the kernel
> 2.6.27-7-generic. I don't see any error messages. lspci -vnnnn reports my
> Marvell Technology Group Ltd. 88E8040 PCI-E Fast Ethernet Controller using
> driver sky2. However, eth0 recieves no ip address. sudo ifdown eth0
> responds ifdown: interface eth0 not configured and sudo ifup eth0 responds
> with Ignoring unknown interface eth0=eth0. Please let me know if I can
> provide any additional information. It also looks like someone posted this
> issue in Bug #138611, but the original issue was not for the new kernel.
> https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.22/+bug/138611/comments/45
>

Revision history for this message
Lee Netherton (ltn100) wrote :

I have a HP Mini 1000 (well, actually a Compaq 702EA, but they're the same thing), and I'm running Karmic 9.10. I had the same problem that is being reported here, but fixed it in a slightly different way (I think 9.10 does grub a little differently). Here's what I did:

sudo gedit /etc/default/grub

Change this line:

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"

to

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash acpi_os_name=Linux"

Save, then run this:

sudo /usr/sbin/grub-mkconfig

Job done!

Revision history for this message
Florian Metzger (fm-tru42) wrote :

This happens on my HP ProBook 6440b running Maverick, too. It has a Marvell 88E8072. It has the latest firmware available.

However, the acpi_os_name=Linux doesn't work.

Revision history for this message
Jeremy Foshee (jeremyfoshee) wrote :

removed deprecated team assignment.

Changed in linux (Ubuntu):
assignee: Ubuntu Kernel Network Team (ubuntu-kernel-network) → nobody
Revision history for this message
Florian Metzger (fm-tru42) wrote :

As an additional note:
If i disable the "LAN Powersave" Option in the ProBook 6440b BIOS, it works without any problems.

Revision history for this message
Marc Deslauriers (mdeslaur) wrote :

I'm seeing this with Maverick on an HP Mini 1115NR.

Revision history for this message
Leandro Del Teso (leandrodelteso) wrote :

I am on a Samsung NC10 and this is happening to me as well. eth0 does not work on battery.

Grub option workaround is not working for me.

As a workaround, if I run:
sudo modprobe -r sky2
sudo modprobe sky2

eth0 starts working properly with battery.

Regards.

Revision history for this message
shadyabhi (abhijeet-1989) wrote :

Isnt there any upstream bug reported yet? I too have this same problem on my samsung N210 with archlinux (2.6.36.2 kernel installed)..

Revision history for this message
MiCHA (micha-micha) wrote :

I have HP ProBook5310m. Same problem here!
Solved by seeting "LAN Powersave" to "disabled" in BIOS.

Revision history for this message
Rodrigo Linfati (rlinfati) wrote :

Here the workaround "acpi_os_name=Linux" work fine.
ethernet
02:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8040 PCI-E Fast Ethernet Controller
 Linux netbookHP 2.6.35-25-generic #44-Ubuntu SMP Fri Jan 21 17:40:48 UTC 2011 i686 GNU/Linux

netbook:
    description: Notebook
    product: HP Mini
    vendor: Hewlett-Packard
    version: F.11
    product: 361A
    version: 361A0 Ver. F.15 (08/21/2009)

Revision history for this message
Brad Figg (brad-figg) wrote : Unsupported series, setting status to "Won't Fix".

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers